## NautilusMenu NautilusMenu — Menu descriptor object |

## Functions

NautilusMenu * | nautilus_menu_new ()
void | nautilus_menu_append_item ()
GList * | nautilus_menu_get_items ()

## Types and Values

| NautilusMenuPrivate
struct | NautilusMenu

## Object Hierarchy

        GObject
        ╰── NautilusMenu

## Includes

    #include <libnautilus-extension/nautilus-menu.h>

## Description

NautilusMenu is an object that describes a submenu in a file manager menu. Extensions can provide NautilusMenu objects by attaching them to NautilusMenuItem objects, using `nautilus_menu_item_set_submenu()`.

## Functions

### nautilus_menu_new ()

    NautilusMenu *
    nautilus_menu_new (void);

### nautilus_menu_append_item ()

    void
    nautilus_menu_append_item (NautilusMenu *menu,
                               NautilusMenuItem *item);

### nautilus_menu_get_items ()

    GList *
    nautilus_menu_get_items (NautilusMenu *menu);

#### Parameters

menu | a NautilusMenu |

#### Returns

the provided NautilusMenuItem list.

[element-type NautilusMenuItem][transfer full]

## Types and Values

### NautilusMenuPrivate

    typedef struct _NautilusMenuPrivate NautilusMenuPrivate;

### struct NautilusMenu

    struct NautilusMenu;